Incorrect behaviour of encrypted-volume-type

Bug #1562024 reported by Peter Razumovsky on 2016-03-25
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python-cinderclient
Medium
Unassigned

Bug Description

Deleted EVT disturb to create same EVT for volume type. Way to reproduce:

1. Create EVT with API for some volume type.
2. Delete EVT with CLI. Delete completes successfuly.
3. Call list EVTs with API. Result: empty list, which is OK.
4. Call get EVT with API. Result: some stub-object with EVT type and no attributes (__repr__ returns AttributeError: name). Strange.
5. Create same EVT with API. Create completes successfuly, but there's no EVT in reality.

Sheel Rana (ranasheel2000) wrote :

Dear Peter,

I could not see this problem.
You can refer below for details and let me know in case you have some different steps to reproduce this issue:

1. Create encryption

root@sheel:/home/sheel/next/cinder# curl -H "X-Auth-Token:a983cd943e7f4017b1c88e097a216899" -H "Content-type: application/json" http://10.0.2.15:8776/v2/f270b245cb11498ca4031deb7e141cfa/types/898016e6-038e-4ae7-baad-2f07b4404567/encryption -X POST -d '{"encryption": {"control_location": "front-end", "cipher": null, "key_size": null, "provider": "LuksEncryptor"}}'
{"encryption": {"volume_type_id": "898016e6-038e-4ae7-baad-2f07b4404567", "key_size": null, "control_location": "front-end", "encryption_id": "ded4e252-c74d-44e0-bb3e-89d00a8ae968", "cipher": null, "provider": "LuksEncryptor"}}

2. Delete Encryption
root@sheel:/home/sheel/python-openstackclient# cinder encryption-type-delete 898016e6-038e-4ae7-baad-2f07b4404567

3. List Encryption
root@sheel:/home/sheel/python-openstackclient# curl -H "X-Auth-Token:a983cd943e7f4017b1c88e097a216899" http://10.0.2.15:8776/v2/f270b245cb11498ca4031deb7e141cfa/types/c3460d77-f142-47a6-b601-44c427ec4221/encryption -X GET
{}

4. Show Encryption
cinder --debug encryption-type-show c3460d77-f142-47a6-b601-44c427ec4221

RESP: [200] Content-Length: 2 X-Compute-Request-Id: req-969a5434-2cc9-4379-ac6d-0fb1cb9f932c Connection: keep-alive Date: Fri, 25 Mar 2016 16:55:28 GMT Content-Type: application/json X-Openstack-Request-Id: req-969a5434-2cc9-4379-ac6d-0fb1cb9f932c
RESP BODY: {}

Sheel Rana (ranasheel2000) wrote :

 It would be more helpful if you can paste command and output both for reference to map the steps to reproduce this issue.

Cao ShuFeng (caosf-fnst) on 2016-03-26
Changed in cinder:
assignee: nobody → Cao ShuFeng (caosf-fnst)
affects: cinder → python-cinderclient
Changed in python-cinderclient:
assignee: Cao ShuFeng (caosf-fnst) → nobody
assignee: nobody → Cao ShuFeng (caosf-fnst)

Fix proposed to branch: master
Review: https://review.openstack.org/297934

Changed in python-cinderclient:
status: New → In Progress
Cao ShuFeng (caosf-fnst) wrote :

Hi, Peter
I can't reproduce the 5 step's bug.
Can you provide more detailed reproduce steps?

PS: this should be a bug of python-cinderclient not cinder.

Thanks

Changed in python-cinderclient:
importance: Undecided → Medium
Peter Razumovsky (prazumovsky) wrote :

Hi, Cao ShuFeng, I think, my fifth step caused incorrect response of forth step, so, you can skip this step.

Peter Razumovsky (prazumovsky) wrote :

Yes, I use cinderclient for API requests to cinder.

Change abandoned by Sean McGinnis (<email address hidden>) on branch: master
Review: https://review.openstack.org/297934
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Unassigning due to no activity for > 6 months.

Changed in python-cinderclient:
assignee: Cao ShuFeng (caosf-fnst) → nobody
status: In Progress → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers